Download it now!
Bug 91443 - FILEOPEN: freeze upon loading .xls on Lubuntu
Summary: FILEOPEN: freeze upon loading .xls on Lubuntu
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: x86 (IA32) Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLS
  Show dependency treegraph
 
Reported: 2015-05-22 01:50 UTC by Andrew
Modified: 2017-07-27 12:02 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
travel Market Analysis (22.00 KB, application/wps-office.xls)
2015-05-22 01:50 UTC, Andrew
Details
MarketResearch_travel (25.50 KB, application/wps-office.xls)
2015-05-22 15:07 UTC, Andrew
Details
backtrace log in Linux using LibreOffice 5.0.0.0.beta1 (3.02 KB, text/plain)
2015-05-24 16:43 UTC, Edmund Laugasson
Details
strace log in Linux with LibreOffice 5.0.0.0.beta1 (53.66 KB, text/plain)
2015-05-24 16:44 UTC, Edmund Laugasson
Details
time mgmt (515.00 KB, application/vnd.ms-excel)
2015-11-07 15:25 UTC, Andrew
Details
a simple spreadsheet (323.00 KB, application/vnd.ms-excel)
2015-11-08 01:04 UTC, Andrew
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2015-05-22 01:50:11 UTC
Created attachment 115788 [details]
travel Market Analysis

Reproducible Steps
Open an *.xls spreadsheet   >   wait until it's open   >   Press 'Alt'


Observed results
Programs freezes up, Cpu jumps and maintains 50-70%.  Can't close libreoffice naturally.


Close Method:
1) Press window close 'x', wait 7s.

2) The following dialog box appears:

The window "filename.xls-LibreOffice Calc" does not seem to be responding.  Do you want to force it to exit by sending the terminate signal?
Cancel		End Process

3) Choose End Process.
Comment 1 tommy27 2015-05-22 02:05:04 UTC
opens fine in a few seconds under Win8x64 using LibO 4.4.1.2

the 4.2.8.2 release you are using is obsolete.

you should upgrade to a newer release like 4.3.7.2 (stable branch) or 4.4.3.2 (fresh branch) and see if the issue is gone in your system

I set status to NEEDINFO waiting for feedback after upgrade.
Comment 2 Timur 2015-05-22 09:18:10 UTC
Not reproduced in Mint 17 with LO 4.2.7. I suggest you add PPA for LO 4.3 branch.
Please test on some other computer if possible.
Comment 3 Andrew 2015-05-22 14:40:46 UTC
I upgraded to Libre Office Version: 4.4.3.2, rebooted and from my home computer
lubuntu 14.04 LTS   it's still the same thing:
open file (attached)   >  wait until it's opened   >   Press "Alt"   >
  Cpu jumps to 55%, libreoffice freezes.
Comment 4 Andrew 2015-05-22 15:07:36 UTC
Created attachment 115832 [details]
MarketResearch_travel

1) When I cut and paste the content to another file, and create with libreOffice 4.4.3.2, save, close, open again, and then press 'Alt', it's fine(and about 1/2 the size, too).  

2) The same process as "1)", but with kingsoft WPS Spreadsheets(9.1.0.4885), save as .xls, ... and everything is OK.

3) When I cut and paste the content to another new spreadsheet opened with WPS, save as *.et, close, open again by WPS, save as *.xls, close, open again but this time with LibreOffice, and then press 'Alt', it's fine(and about 1/2 the size, too).  

But not this original file(attached above), I still get a freeze.

Andrew
Comment 5 tommy27 2015-05-22 19:55:54 UTC
try resetting the user profile
https://bugs.documentfoundation.org/show_bug.cgi?id=91443
Comment 6 Andrew 2015-05-23 02:43:03 UTC
I reset the user profile, but still the document(among other documents of mine) still have the same "freeze" response, except now I notice that if you just leave LO running in the background, not only the CPU maintains ~60%, but also the RAM will slowly creep up to ~90% in about 3 minutes.  Upon sending the terminate signal the cpu and ram immediately go back to their normal low levels.

Reset User profile:
1) Shut down LO: 1) make sure soffice.bin not running, including icon  tray quickstarter.
2) Rename home/username/.config/libreoffice/4 to home/username/.config/libreoffice/20150523.
3) Restart LO
Comment 7 raal 2015-05-23 07:03:13 UTC
No freeze with Version: 5.1.0.0.alpha1+
Build ID: e929194317a7debb1c5467282230cbbabe61a710
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-22_06:33:18
Comment 8 tommy27 2015-05-23 07:04:53 UTC
ok, so neither upgrading or resetting user profile solved that issue.
I revert version to 4.2.8.2 which is the earliest you reproduced the bug (always indicated earliest release not latest in that field)

would you please tell us the exact Linux distro and version you are using?
Comment 9 Andrew 2015-05-23 08:16:12 UTC
According to my system's bash, I am using:

a@a-NC210-NC110:~$ uname -a
Linux a-NC210-NC110 3.13.0-53-generic #89-Ubuntu SMP Wed May 20 10:34:28 UTC 2015 i686 i686 i686 GNU/Linux

But in human English that is:
Distro:   Lubuntu 
Version:  14.04 LTS.
Comment 10 Andrew 2015-05-23 08:35:18 UTC
  I also get the same freeze response when pressing any ONE of the following buttons instead of 'ALT':
tab, shift, ctrl, space, arrow keys(all four directions), a, 1, =, PgUp, and PgDwn.  

  I only wrote "a, 1" above since I don't have enough time to test all 26 letters/10 integers.

  The only workaround is if you use the touchpad to select a certain cell as a very first action, then only after this can you use the above buttons.
Comment 11 Edmund Laugasson 2015-05-24 16:43:30 UTC
Created attachment 115979 [details]
backtrace log in Linux using LibreOffice 5.0.0.0.beta1

Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)

Opened the .xls file, entered freely text to cells in all sheets, saved back to .xls without any problem and closed the file
Comment 12 Edmund Laugasson 2015-05-24 16:44:25 UTC
Created attachment 115980 [details]
strace log in Linux with LibreOffice 5.0.0.0.beta1

Using 64-bit Linux Mint Cinnamon 17.1 with 4.0.4-040004-generic kernel
LibreOffice version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: et-EE (et_EE.UTF-8)

Opened the .xls file, entered freely text to cells in all sheets, saved back to .xls without any problem and closed the file
Comment 13 Andrew 2015-05-25 06:59:44 UTC
Edmund,

Perhaps there is a miscommunication.  I never had problems with the following procedure: 
1) open file
2) wait for spreadsheet to finish loading
3) use the mouse to activate a certain cell (other than the one active upon opening the spreadsheet)
4) enter text (like "a, 1" mentioned in my last post).

However I did have problems with this procedure:
1) open file
2) wait for spreadsheet to finish loading
3) enter text (like "a, 1" mentioned in my last post), WITHOUT TOUCHING YOUR MOUSE/TOUCHPAD.

Know the difference?

Andrew
Comment 14 Edmund Laugasson 2015-05-25 09:11:40 UTC
Did not have problems either only using the keyboard to move between sheets, cells, pull-down menus using ALT. Typing "a" or "a" into first cells on different sheets - no problems.
Comment 15 Jean-Baptiste Faure 2015-07-12 17:46:59 UTC
Not reproducible with Version: 5.0.1.0.0+
Build ID: f6b9ba3394db50c94427e2d9cd83a5b13f528f41
built at home under Ubuntu_15.04_x86-64

Best regards. JBF
Comment 16 Bernardo Sulzbach 2015-07-16 15:49:54 UTC
Failed to reproduce the bug under

Version: 4.2.8.2
Build ID: 420m0(Build:2)

and

Version: 5.1.0.0.alpha1+
Build ID: 7068b56ba93470c9329e2537fa24b1b1a11487fa
Locale: en-US (en_US.UTF-8)

Ubuntu 14.04 x64 LTS.
Comment 17 tommy27 2015-10-04 15:48:15 UTC
@Andrew
any news aboth this bug? did you tried upgrading to LibO 4.4.5.2 or 5.0.2.2 ?
Comment 18 Andrew 2015-11-07 15:25:04 UTC
Created attachment 120364 [details]
time mgmt

This time CPU jumps to 80% and memory QUICKLY climbs to 100%, bring the computer to a stop.  No chance to hit the "x" on the window's corner to stop it.  The only thing you can do is "Raising Elephants is so utterly Boring".  

Distro:   Lubuntu 
Version:  14.04 LTS.
Hardware: Asus X200M laptop

a@a-X200MA:~$ uname -a
Linux a-X200MA 3.13.0-67-generic #110-Ubuntu SMP Fri Oct 23 13:24:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Andrew
Comment 19 Andrew 2015-11-07 15:33:19 UTC
a@a-X200MA:~$ libreoffice --version
LibreOffice 5.0.3.2 00m0(Build:2)
Comment 20 Andrew 2015-11-07 15:39:54 UTC
  I also get the same freeze response when pressing any ONE of the following buttons instead of 'ALT':
tab, shift, ctrl, space, arrow keys(all four directions), a, 1, =, PgUp, and PgDwn.  

  I only wrote "a, 1" above since I don't have enough time to test all 26 letters/10 integers.

  The only workaround is if you use the touchpad to select a certain cell as a very first action, then only after this can you use the above buttons.

    Again, I am on Lbuntu 14.04 LTS AND my version of libreoffice is the latest "fresh" version:

a@a-X200MA:~$ libreoffice --version
LibreOffice 5.0.3.2 00m0(Build:2)
Comment 21 Andrew 2015-11-07 15:41:43 UTC
(In reply to tommy27 from comment #17)
> @Andrew
> any news aboth this bug? did you tried upgrading to LibO 4.4.5.2 or 5.0.2.2 ?

I CURREently have LibreOffice 5.0.3.2 00m0(Build:2)
Comment 22 tommy27 2015-11-07 15:47:50 UTC
I set back status to UNCONFIRMED since we need an independent confirmation before setting it to NEW

I've also noticed that you Assigned the bug to yourself.

this means that you are going to fix it yourself.
is that correct? if not, please revert the field to default value
Comment 23 Andrew 2015-11-08 01:04:34 UTC
Created attachment 120379 [details]
a simple spreadsheet

a simple spreadsheet
Comment 24 Bernardo Sulzbach 2015-11-08 01:11:28 UTC
I think you should not have removed UNCONFIRMED. It is not about believing in your word or not. But no one besides you has ever been able to reproduce the bug you reported. This makes "ever confirmed" false.
Comment 25 tommy27 2015-11-08 01:12:46 UTC
(In reply to tommy27 from comment #22)
> I set back status to UNCONFIRMED since we need an independent confirmation
> before setting it to NEW

set back to UNCONFIRMED again. please don't set your own bugs to NEW if not confirmed by other users

> I've also noticed that you Assigned the bug to yourself.
> 
> this means that you are going to fix it yourself.
> is that correct? if not, please revert the field to default value

please answer this.
Comment 26 Andrew 2015-11-08 01:16:50 UTC
No, I never assigned anything to myself.  Is it that your bug reporting system assigns us common users "assign to myself" by default?  I can't fix this, I am just a common user.  

I tried erasing my name, and I got the
"To reassign a bug, you must provide an address for the new assignee."
error.

I hit " back".

I then pasted everybody on this mailing list in the assignee feild, and then I got the 
"Bugzilla was unable to make any match at all for one or more of the names and/or email addresses you entered on the previous page.

Please go back and try other names or email addresses."

Thus your system is incapable of changing the assignee box.  Why can't you automate this process, I've wasted more than 6 hours of my time so far with this inferior bug reporting system of yours.

Strange that such a common user such as myself can find a bug like this so easily.  Moreover nobody at your organization can even replicate this bug, that's quite suspicious.
Comment 27 Bernardo Sulzbach 2015-11-08 01:21:29 UTC
I will stop watching this thread as it seems to be in a descending spiral. But you are being... silly, Andrew. If no one was able to reproduce the bug (I am not affiliated with The Document Foundation in any way) it discredits your report, not our capabilities.
Comment 28 Jean-Baptiste Faure 2015-11-08 08:33:56 UTC
I guess the problem is in the L of Lubuntu. You should check the installation or the configuration of your window manager. An alternative is to try another window manager, Xfce for example if you want a lighter  WM than Unity, Gnome or KDE.

Best regards. JBF
Comment 29 Robinson Tryon (qubit) 2015-11-11 14:23:15 UTC
(In reply to Jean-Baptiste Faure from comment #28)
> ...You should check the
> installation or the configuration of your window manager. An alternative is
> to try another window manager, Xfce for example if you want a lighter  WM
> than Unity, Gnome or KDE.

Andrew: It would be great if you could test under a different VM, as JBF mentions above. If you happen to have access to other machines running (L)ubuntu, I'd be interested to hear if you can reproduce the problem on separate hardware.

Status -> NEEDINFO

Sometimes a bug is tied to a particular machine, and sometimes it just takes the 'magic touch' of a particular user. If you can reproduce the problem on multiple machines while no one else can, we'll want to take a closer look at the reproduction steps to make sure that we're all doing exactly the same thing each time.
Comment 30 Andrew 2015-11-13 00:53:03 UTC
(In reply to Andrew from comment #26)
Sorry for the invective overtone to my retort above, they were merely words of frustration and disappointment.  I guess I get busy sometimes and when I get behind schedule I am not as patient as one has to be to make a contribution to the Open Source Community.  

Comment #26 Correction:
Concerning the idea that I assigned this problem to myself: No, I never meant to assign anything to myself.  Your bug reporting system is not that user-friendly to us common users, my specific intentions to change this are below:
Attempt 01:
> A. I tried erasing my name, and I got the
> "To reassign a bug, you must provide an address for the new assignee."
> error.
> B. I hit " back".
> C. I then pasted everybody on this mailing list in the assignee feild, and then I got the following error message:
> "Bugzilla was unable to make any match at all for one or more of the names
> and/or email addresses you entered on the previous page.
> 
> Please go back and try other names or email addresses."
 
 I just don't have the time to participate in whatever tutorial exists on how to change the assignee box.  

  Why can't you automate the bug reporting process?
Comment 31 Xisco Faulí 2016-09-11 19:57:35 UTC Comment hidden (obsolete)
Comment 32 Andrew 2016-09-13 04:08:26 UTC Comment hidden (obsolete)
Comment 33 Andrew 2016-09-13 04:11:04 UTC
Just tested on Debian 8.5 stable with LXDE and NO CRASH!
a@debian:~/scripts$ uname -a
Linux debian 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt25-2 (2016-04-08) x86_64 GNU/Linux
a@debian:~/scripts$ libreoffice --version
LibreOffice 4.3.3.2 430m0(Build:2)


I guess since this is libreoffice bug reporting and not Lubuntu bug reporting no one will care.  

But I did test this both on the samsung NC-210 netbook (i686) and ASUS X200M netbook (amd64) with Lubuntu 14.04 installed along with 
$ libreoffice --version
LibreOffice 4.4.7.2 40m0(Build:2)

So it is not like I only tested from one machine.
Comment 34 Jean-Baptiste Faure 2016-09-13 04:54:16 UTC
Hi Andrew,

Thank you for your answer. Setting status back to unconfirmed because we still not have independent confirmation for this bug report.

Best regards. JBF
Comment 35 Buovjaga 2016-10-08 10:05:37 UTC
Tried with Lubuntu 16.10 in a VM - no freeze.

Version: 5.2.2.2
Build ID: 1:5.2.2-0ubuntu1
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 36 tommy27 2016-12-08 08:38:11 UTC
@Andrew
are you still facing this kind of issue using latest 5.2.3 release?
once you answer set it back to UNCONFIRMED if issue is still present or WORKSFORME if it's gone.
Comment 37 QA Administrators 2017-06-28 12:36:54 UTC Comment hidden (obsolete)
Comment 38 QA Administrators 2017-07-27 12:02:24 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170727